Package com.avaya.clientservices.contact

## Enum ContactProviderSourceType

- java.lang.Object
- - java.lang.Enum<ContactProviderSourceType>
  - - com.avaya.clientservices.contact.ContactProviderSourceType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactProviderSourceType>`

      public enum ContactProviderSourceType
      extends java.lang.Enum<ContactProviderSourceType>

  This enumeration is used to indicate where the data in each field in the contact object came from.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACS` | ACS Provider - enterprise contact source.
    `IPO` | IPO Provider - enterprise contact source.
    `LDAP` | LDAP Provider - directory search.
    `LOCAL` | Local Provider - local contact provider.
    `OTHER` | Other - used for empty fields or newly created objects.
    `PPM` | PPM Provider - enterprise contact source.
    `ZANG` | Zang - enterprise contact source.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactProviderSourceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactProviderSourceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LDAP

          public static final ContactProviderSourceType LDAP

      LDAP Provider - directory search.

    - #### PPM

          public static final ContactProviderSourceType PPM

      PPM Provider - enterprise contact source.

    - #### ACS

          public static final ContactProviderSourceType ACS

      ACS Provider - enterprise contact source.

    - #### ZANG

          public static final ContactProviderSourceType ZANG

      Zang - enterprise contact source.

    - #### IPO

          public static final ContactProviderSourceType IPO

      IPO Provider - enterprise contact source.

    - #### LOCAL

          public static final ContactProviderSourceType LOCAL

      Local Provider - local contact provider.

    - #### OTHER

          public static final ContactProviderSourceType OTHER

      Other - used for empty fields or newly created objects.

  - ### Method Detail

    - #### values

          public static ContactProviderSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactProviderSourceType c : ContactProviderSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactProviderSourceType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null